set define off
set verify off
set serveroutput on size 1000000
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040000 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,4876800149944159));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2010.05.13');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,100);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/dynamic_action/com_oracle_apex_gritter_notification
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'DYNAMIC ACTION'
 ,p_name => 'COM.ORACLE.APEX.GRITTER_NOTIFICATION'
 ,p_display_name => 'Notification'
 ,p_category => 'NOTIFICATION'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'function render_gritter_notification ('||chr(10)||
'    p_dynamic_action in apex_plugin.t_dynamic_action,'||chr(10)||
'    p_plugin         in apex_plugin.t_plugin )'||chr(10)||
'    return apex_plugin.t_dynamic_action_render_result'||chr(10)||
'is'||chr(10)||
'    l_title          varchar2(4000) := p_dynamic_action.attribute_01;'||chr(10)||
'    l_text           varchar2(4000) := p_dynamic_action.attribute_02;'||chr(10)||
'    l_image_url      varchar2(4000) := p_dynamic_action.attribu'||
'te_03;'||chr(10)||
'    l_is_sticky      varchar2(1)    := nvl(p_dynamic_action.attribute_04, ''N'');'||chr(10)||
'    l_hide_after_sec number         := to_number(p_dynamic_action.attribute_05);'||chr(10)||
''||chr(10)||
'    l_result         apex_plugin.t_dynamic_action_render_result;'||chr(10)||
'begin'||chr(10)||
'    -- During plug-in development it''s very helpful to have some debug information'||chr(10)||
'    if apex_application.g_debug then'||chr(10)||
'        apex_plugin_util.debug_dynamic_a'||
'ction ('||chr(10)||
'            p_plugin         => p_plugin,'||chr(10)||
'            p_dynamic_action => p_dynamic_action );'||chr(10)||
'    end if;'||chr(10)||
'    -- Register the javascript and CSS library the plug-in uses.'||chr(10)||
'    apex_css.add_file ('||chr(10)||
'        p_name      => ''apex.jquery.gritter'','||chr(10)||
'        p_directory => p_plugin.file_prefix,'||chr(10)||
'        p_version   => null );'||chr(10)||
'    apex_javascript.add_library ('||chr(10)||
'        p_name      => ''apex.jquery.gritt'||
'er.min'','||chr(10)||
'        p_directory => p_plugin.file_prefix,'||chr(10)||
'        p_version   => null );'||chr(10)||
'    apex_javascript.add_library ('||chr(10)||
'        p_name      => ''com_oracle_apex_gritter_notification.min'','||chr(10)||
'        p_directory => p_plugin.file_prefix,'||chr(10)||
'        p_version   => null );'||chr(10)||
'    -- Register the function and the used attributes with the dynamic action framework'||chr(10)||
'    l_result.javascript_function := ''com_oracle_ape'||
'x_gritter_notification'';'||chr(10)||
'    l_result.attribute_01 := l_title;'||chr(10)||
'    l_result.attribute_02 := l_text;'||chr(10)||
'    l_result.attribute_03 := l_image_url;'||chr(10)||
'    l_result.attribute_04 := l_is_sticky;'||chr(10)||
'    l_result.attribute_05 := l_hide_after_sec;'||chr(10)||
'    return l_result;'||chr(10)||
'end render_gritter_notification;'
 ,p_render_function => 'render_gritter_notification'
 ,p_help_text => '<p>'||chr(10)||
'	The <strong>Notification</strong> dynamic action plug-in provides an unobtrusive stylish notification popup where the message automatically goes away after some time.</p>'||chr(10)||
'<p>'||chr(10)||
'	The plug-in is based on the jQuery plug-in Gritter&nbsp;<a href="http://github.com/jboesch/Gritter">http://github.com/jboesch/Gritter</a></p>'||chr(10)||
''
 ,p_version_identifier => '1.3'
 ,p_about_url => 'http://apex.oracle.com/plugins/'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 3552284998756530460 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Title'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => true
 ,p_display_length => 60
 ,p_is_translatable => true
 ,p_help_text => '<p>'||chr(10)||
'	The heading of the notification.</p>'||chr(10)||
'<p>'||chr(10)||
'	The following placeholder syntax is available:</p>'||chr(10)||
'<ul>'||chr(10)||
'	<li>'||chr(10)||
'		Server Side Substitution syntax: Replaces a placeholder during rendering of the page. Example: &amp;P6_CATEGORY.</li>'||chr(10)||
'	<li>'||chr(10)||
'		Client Side Substitution syntax: Replaces a placeholder with the current value of the browser. Example: #P6_CATEGORY#</li>'||chr(10)||
'</ul>'||chr(10)||
''
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 3552285513647534776 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Text'
 ,p_attribute_type => 'TEXTAREA'
 ,p_is_required => true
 ,p_display_length => 60
 ,p_is_translatable => true
 ,p_help_text => '<p>'||chr(10)||
'	The text inside the notification.</p>'||chr(10)||
'<p>'||chr(10)||
'	The following placeholder syntax''s are available:</p>'||chr(10)||
'<ul>'||chr(10)||
'	<li>'||chr(10)||
'		Server Side Substitution syntax: Replaces a placeholder during rendering of the page. Example: &amp;P6_CATEGORY.</li>'||chr(10)||
'	<li>'||chr(10)||
'		Client Side Substitution syntax: Replaces a placeholder with the current value of the browser. Example: #P6_CATEGORY#</li>'||chr(10)||
'</ul>'||chr(10)||
''
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 3552286020573536731 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 30
 ,p_prompt => 'Image URL'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_display_length => 60
 ,p_is_translatable => false
 ,p_help_text => '<p>'||chr(10)||
'	The image URL used to display an image on the left.</p>'||chr(10)||
''
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 3552286528191538932 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 40
 ,p_prompt => 'Sticky'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'N'
 ,p_is_translatable => false
 ,p_help_text => '<p>If you want it to fade out on its own or just sit there sticky.</p>'||chr(10)||
''
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 3552287014255553878 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Hide After x Seconds'
 ,p_attribute_type => 'INTEGER'
 ,p_is_required => false
 ,p_display_length => 4
 ,p_is_translatable => false
 ,p_depending_on_attribute_id => 3552286528191538932 + wwv_flow_api.g_id_offset
 ,p_depending_on_condition_type => 'EQUALS'
 ,p_depending_on_expression => 'N'
 ,p_help_text => '<p>Specifies the number of seconds the message should be displayed before it should fade out.</p>'||chr(10)||
''
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A20696536207472617368202A2F0D0A2A2068746D6C2023677269747465722D6E6F746963652D77726170706572207B0D0A09706F736974696F6E3A6162736F6C7574653B0D0A7D0D0A2A2068746D6C202E677269747465722D746F70207B0D0A096D';
wwv_flow_api.g_varchar2_table(2) := '617267696E2D626F74746F6D3A2D313070783B0D0A7D0D0A2A2068746D6C202E677269747465722D6974656D207B0D0A0970616464696E672D626F74746F6D3A303B0D0A7D0D0A2A2068746D6C202E677269747465722D626F74746F6D207B0D0A096D61';
wwv_flow_api.g_varchar2_table(3) := '7267696E2D626F74746F6D3A303B0D0A7D0D0A2A2068746D6C202E677269747465722D636C6F7365207B0D0A096261636B67726F756E643A75726C2823504C5547494E5F50524546495823677269747465722D636C6F73652D6965362E676966293B0D0A';
wwv_flow_api.g_varchar2_table(4) := '0977696474683A323270783B0D0A096865696768743A323270783B0D0A09746F703A3770783B0D0A096C6566743A3770783B0D0A7D0D0A0D0A2F2A20746865206E6F726D202A2F0D0A23677269747465722D6E6F746963652D77726170706572207B0D0A';
wwv_flow_api.g_varchar2_table(5) := '09706F736974696F6E3A66697865643B0D0A09746F703A323070783B0D0A0972696768743A323070783B0D0A0977696474683A33303170783B0D0A097A2D696E6465783A393939393B0D0A7D0D0A2E677269747465722D6974656D2D7772617070657220';
wwv_flow_api.g_varchar2_table(6) := '7B0D0A09706F736974696F6E3A72656C61746976653B0D0A096D617267696E3A302030203130707820303B0D0A096261636B67726F756E643A75726C282723504C5547494E5F5052454649582369652D7370616365722E67696627293B202F2A20696537';
wwv_flow_api.g_varchar2_table(7) := '2F3820666978202A2F0D0A7D0D0A2E677269747465722D746F70207B0D0A096261636B67726F756E643A75726C2823504C5547494E5F50524546495823677269747465722E706E6729206E6F2D726570656174206C656674202D333070783B0D0A096865';
wwv_flow_api.g_varchar2_table(8) := '696768743A313070783B0D0A7D0D0A2E686F766572202E677269747465722D746F70207B0D0A096261636B67726F756E642D706F736974696F6E3A7269676874202D333070783B0D0A7D0D0A2E677269747465722D626F74746F6D207B0D0A096261636B';
wwv_flow_api.g_varchar2_table(9) := '67726F756E643A75726C2823504C5547494E5F50524546495823677269747465722E706E6729206E6F2D726570656174206C65667420626F74746F6D3B0D0A096865696768743A3870783B0D0A096D617267696E3A303B0D0A7D0D0A2E686F766572202E';
wwv_flow_api.g_varchar2_table(10) := '677269747465722D626F74746F6D207B0D0A096261636B67726F756E642D706F736974696F6E3A20626F74746F6D2072696768743B0D0A7D0D0A2E677269747465722D6974656D207B0D0A09646973706C61793A626C6F636B3B0D0A096261636B67726F';
wwv_flow_api.g_varchar2_table(11) := '756E643A75726C2823504C5547494E5F50524546495823677269747465722E706E6729206E6F2D726570656174206C656674202D343070783B0D0A09636F6C6F723A236565653B0D0A0970616464696E673A32707820313170782038707820313170783B';
wwv_flow_api.g_varchar2_table(12) := '0D0A09666F6E742D73697A653A20313170783B0D0A09666F6E742D66616D696C793A76657264616E613B0D0A7D0D0A2E686F766572202E677269747465722D6974656D207B0D0A096261636B67726F756E642D706F736974696F6E3A7269676874202D34';
wwv_flow_api.g_varchar2_table(13) := '3070783B0D0A7D0D0A2E677269747465722D6974656D2070207B0D0A0970616464696E673A303B0D0A096D617267696E3A303B0D0A09636F6C6F723A236565653B202F2A206E656365737361727920666F72207468656D65203134202A2F0D0A7D0D0A2E';
wwv_flow_api.g_varchar2_table(14) := '677269747465722D636C6F7365207B0D0A09706F736974696F6E3A6162736F6C7574653B0D0A09746F703A3570783B0D0A096C6566743A3370783B0D0A096261636B67726F756E643A75726C2823504C5547494E5F50524546495823677269747465722E';
wwv_flow_api.g_varchar2_table(15) := '706E6729206E6F2D726570656174206C65667420746F703B0D0A09637572736F723A706F696E7465723B0D0A0977696474683A333070783B0D0A096865696768743A333070783B0D0A7D0D0A2E677269747465722D7469746C65207B0D0A09666F6E742D';
wwv_flow_api.g_varchar2_table(16) := '73697A653A313470783B0D0A09666F6E742D7765696768743A626F6C643B0D0A09636F6C6F723A236565653B202F2A206E656365737361727920666F72207468656D65203134202A2F0D0A0970616464696E673A3020302037707820303B0D0A09646973';
wwv_flow_api.g_varchar2_table(17) := '706C61793A626C6F636B3B0D0A09746578742D736861646F773A3170782031707820233030303B202F2A204E6F7420737570706F72746564206279204945203A28202A2F0D0A7D0D0A2E677269747465722D696D616765207B0D0A0977696474683A3438';
wwv_flow_api.g_varchar2_table(18) := '70783B0D0A096865696768743A343870783B0D0A09666C6F61743A6C6566743B0D0A7D0D0A2E677269747465722D776974682D696D6167652C0D0A2E677269747465722D776974686F75742D696D616765207B0D0A0970616464696E673A302030203570';
wwv_flow_api.g_varchar2_table(19) := '7820303B0D0A7D0D0A2E677269747465722D776974682D696D616765207B0D0A0977696474683A32323070783B0D0A09666C6F61743A72696768743B0D0A7D0D0A';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 4898801201281874 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'apex.jquery.gritter.css'
 ,p_mime_type => 'text/css'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4749463839610100010080000000000000000021F90401000000002C00000000010001000002024401003B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 9787938992341748 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'ie-spacer.gif'
 ,p_mime_type => 'image/gif'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2866756E6374696F6E2824297B242E677269747465723D7B7D3B242E677269747465722E6F7074696F6E733D7B666164655F696E5F73706565643A276D656469756D272C666164655F6F75745F73706565643A313030302C74696D653A363030307D0A24';
wwv_flow_api.g_varchar2_table(2) := '2E677269747465722E6164643D66756E6374696F6E28706172616D73297B7472797B72657475726E20477269747465722E61646428706172616D737C7C7B7D293B7D63617463682865297B766172206572723D2747726974746572204572726F723A2027';
wwv_flow_api.g_varchar2_table(3) := '2B653B28747970656F6628636F6E736F6C6529213D27756E646566696E6564272626636F6E736F6C652E6572726F72293F636F6E736F6C652E6572726F72286572722C706172616D73293A616C65727428657272293B7D7D0A242E677269747465722E72';
wwv_flow_api.g_varchar2_table(4) := '656D6F76653D66756E6374696F6E2869642C706172616D73297B477269747465722E72656D6F766553706563696669632869642C706172616D737C7C7B7D293B7D0A242E677269747465722E72656D6F7665416C6C3D66756E6374696F6E28706172616D';
wwv_flow_api.g_varchar2_table(5) := '73297B477269747465722E73746F7028706172616D737C7C7B7D293B7D0A76617220477269747465723D7B666164655F696E5F73706565643A27272C666164655F6F75745F73706565643A27272C74696D653A27272C5F637573746F6D5F74696D65723A';
wwv_flow_api.g_varchar2_table(6) := '302C5F6974656D5F636F756E743A302C5F69735F73657475703A302C5F74706C5F636C6F73653A273C64697620636C6173733D22677269747465722D636C6F7365223E3C2F6469763E272C5F74706C5F6974656D3A273C6469762069643D226772697474';
wwv_flow_api.g_varchar2_table(7) := '65722D6974656D2D5B5B6E756D6265725D5D2220636C6173733D22677269747465722D6974656D2D77726170706572205B5B6974656D5F636C6173735D5D22207374796C653D22646973706C61793A6E6F6E65223E3C64697620636C6173733D22677269';
wwv_flow_api.g_varchar2_table(8) := '747465722D746F70223E3C2F6469763E3C64697620636C6173733D22677269747465722D6974656D223E5B5B696D6167655D5D3C64697620636C6173733D225B5B636C6173735F6E616D655D5D223E3C7370616E20636C6173733D22677269747465722D';
wwv_flow_api.g_varchar2_table(9) := '7469746C65223E5B5B757365726E616D655D5D3C2F7370616E3E3C703E5B5B746578745D5D3C2F703E3C2F6469763E3C646976207374796C653D22636C6561723A626F7468223E3C2F6469763E3C2F6469763E3C64697620636C6173733D226772697474';
wwv_flow_api.g_varchar2_table(10) := '65722D626F74746F6D223E3C2F6469763E3C2F6469763E272C5F74706C5F777261703A273C6469762069643D22677269747465722D6E6F746963652D77726170706572223E3C2F6469763E272C6164643A66756E6374696F6E28706172616D73297B6966';
wwv_flow_api.g_varchar2_table(11) := '2821706172616D732E7469746C657C7C21706172616D732E74657874297B7468726F7727596F75206E65656420746F2066696C6C206F757420746865206669727374203220706172616D733A20227469746C652220616E6420227465787422273B7D0A69';
wwv_flow_api.g_varchar2_table(12) := '662821746869732E5F69735F7365747570297B746869732E5F72756E536574757028293B7D0A76617220757365723D706172616D732E7469746C652C746578743D706172616D732E746578742C696D6167653D706172616D732E696D6167657C7C27272C';
wwv_flow_api.g_varchar2_table(13) := '737469636B793D706172616D732E737469636B797C7C66616C73652C6974656D5F636C6173733D706172616D732E636C6173735F6E616D657C7C27272C74696D655F616C6976653D706172616D732E74696D657C7C27273B746869732E5F766572696679';
wwv_flow_api.g_varchar2_table(14) := '5772617070657228293B746869732E5F6974656D5F636F756E742B2B3B766172206E756D6265723D746869732E5F6974656D5F636F756E742C746D703D746869732E5F74706C5F6974656D3B24285B276265666F72655F6F70656E272C2761667465725F';
wwv_flow_api.g_varchar2_table(15) := '6F70656E272C276265666F72655F636C6F7365272C2761667465725F636C6F7365275D292E656163682866756E6374696F6E28692C76616C297B477269747465725B275F272B76616C2B275F272B6E756D6265725D3D28242E697346756E6374696F6E28';
wwv_flow_api.g_varchar2_table(16) := '706172616D735B76616C5D29293F706172616D735B76616C5D3A66756E6374696F6E28297B7D7D293B746869732E5F637573746F6D5F74696D65723D303B69662874696D655F616C697665297B746869732E5F637573746F6D5F74696D65723D74696D65';
wwv_flow_api.g_varchar2_table(17) := '5F616C6976653B7D0A76617220696D6167655F7374723D28696D616765213D2727293F273C696D67207372633D22272B696D6167652B272220636C6173733D22677269747465722D696D61676522202F3E273A27272C636C6173735F6E616D653D28696D';
wwv_flow_api.g_varchar2_table(18) := '616765213D2727293F27677269747465722D776974682D696D616765273A27677269747465722D776974686F75742D696D616765273B746D703D746869732E5F7374725F7265706C616365285B275B5B757365726E616D655D5D272C275B5B746578745D';
wwv_flow_api.g_varchar2_table(19) := '5D272C275B5B696D6167655D5D272C275B5B6E756D6265725D5D272C275B5B636C6173735F6E616D655D5D272C275B5B6974656D5F636C6173735D5D275D2C5B757365722C746578742C696D6167655F7374722C746869732E5F6974656D5F636F756E74';
wwv_flow_api.g_varchar2_table(20) := '2C636C6173735F6E616D652C6974656D5F636C6173735D2C746D70293B746869735B275F6265666F72655F6F70656E5F272B6E756D6265725D28293B24282723677269747465722D6E6F746963652D7772617070657227292E617070656E6428746D7029';
wwv_flow_api.g_varchar2_table(21) := '3B766172206974656D3D24282723677269747465722D6974656D2D272B746869732E5F6974656D5F636F756E74293B6974656D2E66616465496E28746869732E666164655F696E5F73706565642C66756E6374696F6E28297B477269747465725B275F61';
wwv_flow_api.g_varchar2_table(22) := '667465725F6F70656E5F272B6E756D6265725D2824287468697329293B7D293B69662821737469636B79297B746869732E5F7365744661646554696D6572286974656D2C6E756D626572293B7D0A24286974656D292E62696E6428276D6F757365656E74';
wwv_flow_api.g_varchar2_table(23) := '6572206D6F7573656C65617665272C66756E6374696F6E286576656E74297B6966286576656E742E747970653D3D276D6F757365656E74657227297B69662821737469636B79297B477269747465722E5F726573746F72654974656D4966466164696E67';
wwv_flow_api.g_varchar2_table(24) := '28242874686973292C6E756D626572293B7D7D0A656C73657B69662821737469636B79297B477269747465722E5F7365744661646554696D657228242874686973292C6E756D626572293B7D7D0A477269747465722E5F686F7665725374617465282428';
wwv_flow_api.g_varchar2_table(25) := '74686973292C6576656E742E74797065293B7D293B72657475726E206E756D6265723B7D2C5F636F756E7452656D6F7665577261707065723A66756E6374696F6E28756E697175655F69642C65297B652E72656D6F766528293B746869735B275F616674';
wwv_flow_api.g_varchar2_table(26) := '65725F636C6F73655F272B756E697175655F69645D2865293B6966282428272E677269747465722D6974656D2D7772617070657227292E6C656E6774683D3D30297B24282723677269747465722D6E6F746963652D7772617070657227292E72656D6F76';
wwv_flow_api.g_varchar2_table(27) := '6528293B7D7D2C5F666164653A66756E6374696F6E28652C756E697175655F69642C706172616D732C756E62696E645F6576656E7473297B76617220706172616D733D706172616D737C7C7B7D2C666164653D28747970656F6628706172616D732E6661';
wwv_flow_api.g_varchar2_table(28) := '646529213D27756E646566696E656427293F706172616D732E666164653A747275653B666164655F6F75745F73706565643D706172616D732E73706565647C7C746869732E666164655F6F75745F73706565643B746869735B275F6265666F72655F636C';
wwv_flow_api.g_varchar2_table(29) := '6F73655F272B756E697175655F69645D2865293B696628756E62696E645F6576656E7473297B652E756E62696E6428276D6F757365656E746572206D6F7573656C6561766527293B7D0A69662866616465297B652E616E696D617465287B6F7061636974';
wwv_flow_api.g_varchar2_table(30) := '793A307D2C666164655F6F75745F73706565642C66756E6374696F6E28297B652E616E696D617465287B6865696768743A307D2C3330302C66756E6374696F6E28297B477269747465722E5F636F756E7452656D6F76655772617070657228756E697175';
wwv_flow_api.g_varchar2_table(31) := '655F69642C65293B7D297D297D0A656C73657B746869732E5F636F756E7452656D6F76655772617070657228756E697175655F69642C65293B7D7D2C5F686F76657253746174653A66756E6374696F6E28652C74797065297B696628747970653D3D276D';
wwv_flow_api.g_varchar2_table(32) := '6F757365656E74657227297B652E616464436C6173732827686F76657227293B7661722066696E645F696D673D652E66696E642827696D6727293B2866696E645F696D672E6C656E677468293F66696E645F696D672E6265666F726528746869732E5F74';
wwv_flow_api.g_varchar2_table(33) := '706C5F636C6F7365293A652E66696E6428277370616E27292E6265666F726528746869732E5F74706C5F636C6F7365293B652E66696E6428272E677269747465722D636C6F736527292E636C69636B2866756E6374696F6E28297B76617220756E697175';
wwv_flow_api.g_varchar2_table(34) := '655F69643D652E617474722827696427292E73706C697428272D27295B325D3B477269747465722E72656D6F7665537065636966696328756E697175655F69642C7B7D2C652C74727565293B7D293B7D0A656C73657B652E72656D6F7665436C61737328';
wwv_flow_api.g_varchar2_table(35) := '27686F76657227293B652E66696E6428272E677269747465722D636C6F736527292E72656D6F766528293B7D7D2C72656D6F766553706563696669633A66756E6374696F6E28756E697175655F69642C706172616D732C652C756E62696E645F6576656E';
wwv_flow_api.g_varchar2_table(36) := '7473297B6966282165297B76617220653D24282723677269747465722D6974656D2D272B756E697175655F6964293B7D0A746869732E5F6661646528652C756E697175655F69642C706172616D737C7C7B7D2C756E62696E645F6576656E7473293B7D2C';
wwv_flow_api.g_varchar2_table(37) := '5F726573746F72654974656D4966466164696E673A66756E6374696F6E28652C756E697175655F6964297B636C65617254696D656F757428746869735B275F696E745F69645F272B756E697175655F69645D293B652E73746F7028292E637373287B6F70';
wwv_flow_api.g_varchar2_table(38) := '61636974793A27277D293B7D2C5F72756E53657475703A66756E6374696F6E28297B666F72286F707420696E20242E677269747465722E6F7074696F6E73297B746869735B6F70745D3D242E677269747465722E6F7074696F6E735B6F70745D3B7D0A74';
wwv_flow_api.g_varchar2_table(39) := '6869732E5F69735F73657475703D313B7D2C5F7365744661646554696D65723A66756E6374696F6E28652C756E697175655F6964297B7661722074696D65725F7374723D28746869732E5F637573746F6D5F74696D6572293F746869732E5F637573746F';
wwv_flow_api.g_varchar2_table(40) := '6D5F74696D65723A746869732E74696D653B746869735B275F696E745F69645F272B756E697175655F69645D3D73657454696D656F75742866756E6374696F6E28297B477269747465722E5F6661646528652C756E697175655F6964293B7D2C74696D65';
wwv_flow_api.g_varchar2_table(41) := '725F737472293B7D2C73746F703A66756E6374696F6E28706172616D73297B766172206265666F72655F636C6F73653D28242E697346756E6374696F6E28706172616D732E6265666F72655F636C6F736529293F706172616D732E6265666F72655F636C';
wwv_flow_api.g_varchar2_table(42) := '6F73653A66756E6374696F6E28297B7D3B7661722061667465725F636C6F73653D28242E697346756E6374696F6E28706172616D732E61667465725F636C6F736529293F706172616D732E61667465725F636C6F73653A66756E6374696F6E28297B7D3B';
wwv_flow_api.g_varchar2_table(43) := '76617220777261703D24282723677269747465722D6E6F746963652D7772617070657227293B6265666F72655F636C6F73652877726170293B777261702E666164654F75742866756E6374696F6E28297B242874686973292E72656D6F766528293B6166';
wwv_flow_api.g_varchar2_table(44) := '7465725F636C6F736528293B7D293B7D2C5F7374725F7265706C6163653A66756E6374696F6E287365617263682C7265706C6163652C7375626A6563742C636F756E74297B76617220693D302C6A3D302C74656D703D27272C7265706C3D27272C736C3D';
wwv_flow_api.g_varchar2_table(45) := '302C666C3D302C663D5B5D2E636F6E63617428736561726368292C723D5B5D2E636F6E636174287265706C616365292C733D7375626A6563742C72613D7220696E7374616E63656F662041727261792C73613D7320696E7374616E63656F662041727261';
wwv_flow_api.g_varchar2_table(46) := '793B733D5B5D2E636F6E6361742873293B696628636F756E74297B746869732E77696E646F775B636F756E745D3D303B7D0A666F7228693D302C736C3D732E6C656E6774683B693C736C3B692B2B297B696628735B695D3D3D3D2727297B636F6E74696E';
wwv_flow_api.g_varchar2_table(47) := '75653B7D0A666F72286A3D302C666C3D662E6C656E6774683B6A3C666C3B6A2B2B297B74656D703D735B695D2B27273B7265706C3D72613F28725B6A5D213D3D756E646566696E65643F725B6A5D3A2727293A725B305D3B735B695D3D2874656D70292E';
wwv_flow_api.g_varchar2_table(48) := '73706C697428665B6A5D292E6A6F696E287265706C293B696628636F756E742626735B695D213D3D74656D70297B746869732E77696E646F775B636F756E745D2B3D2874656D702E6C656E6774682D735B695D2E6C656E677468292F665B6A5D2E6C656E';
wwv_flow_api.g_varchar2_table(49) := '6774683B7D7D7D0A72657475726E2073613F733A735B305D3B7D2C5F766572696679577261707065723A66756E6374696F6E28297B69662824282723677269747465722D6E6F746963652D7772617070657227292E6C656E6774683D3D30297B24282762';
wwv_flow_api.g_varchar2_table(50) := '6F647927292E617070656E6428746869732E5F74706C5F77726170293B7D7D7D7D2928617065782E6A5175657279293B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 885343227164547294 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'apex.jquery.gritter.min.js'
 ,p_mime_type => 'text/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2F2A0A202A204E6F74696669636174696F6E20506C75672D696E2076312E30202D20687474703A2F2F7777772E6F7261636C65617065782E696E666F2F0A202A200A202A204261736564206F6E206A5175657279204772697474657220687474703A2F2F';
wwv_flow_api.g_varchar2_table(2) := '626F6564657369676E2E636F6D2F626C6F672F323030392F30372F31312F67726F776C2D666F722D6A71756572792D677269747465722F0A202A0A202A204475616C206C6963656E73656420756E64657220746865204D495420616E642047504C206C69';
wwv_flow_api.g_varchar2_table(3) := '63656E7365733A0A202A202020687474703A2F2F7777772E6F70656E736F757263652E6F72672F6C6963656E7365732F6D69742D6C6963656E73652E7068700A202A202020687474703A2F2F7777772E676E752E6F72672F6C6963656E7365732F67706C';
wwv_flow_api.g_varchar2_table(4) := '2E68746D6C0A2A2F0A66756E6374696F6E20636F6D5F6F7261636C655F617065785F677269747465725F6E6F74696669636174696F6E28297B66756E6374696F6E2066286B297B76617220693D6E6577205265674578702822235C5C772B23222C226722';
wwv_flow_api.g_varchar2_table(5) := '292C672C6A2C683D6B3B7768696C6528673D692E65786563286B29297B6A3D247828675B305D2E7265706C616365282F232F672C222229293B6966286A297B683D682E7265706C61636528675B305D2C2476286A29297D7D72657475726E20687D766172';
wwv_flow_api.g_varchar2_table(6) := '20653D746869732E616374696F6E2E61747472696275746530312C623D746869732E616374696F6E2E61747472696275746530322C633D746869732E616374696F6E2E61747472696275746530332C613D2828746869732E616374696F6E2E6174747269';
wwv_flow_api.g_varchar2_table(7) := '6275746530343D3D3D225922293F747275653A66616C7365292C643D746869732E616374696F6E2E61747472696275746530353B617065782E6A51756572792E677269747465722E616464287B7469746C653A662865292C746578743A662862292C696D';
wwv_flow_api.g_varchar2_table(8) := '6167653A632C737469636B793A612C74696D653A642A313030307D297D3B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 2568744665902496626 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'com_oracle_apex_gritter_notification.min.js'
 ,p_mime_type => 'application/x-javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '47494638396116001600E66200050505DDDDDDE1E1E1B7B7B7383838353535ACACACC1C1C13B3B3B7F7F7F5E5E5ECFCFCFE7E7E70C0C0C4545453232321D1D1D4A4A4A2828289797977C7C7CA8A8A8E4E4E4D3D3D39A9A9A373737646464313131898989';
wwv_flow_api.g_varchar2_table(2) := '4C4C4C3A3A3AEBEBEB6A6A6A7171716D6D6DFCFCFC202020CDCDCDEEEEEEF9F9F9E2E2E26E6E6E3333339D9D9D1717179B9B9BF3F3F34D4D4DCBCBCB3D3D3D2C2C2C8484849999993F3F3FE5E5E52222220808089191915C5C5C252525F0F0F0ADADAD96';
wwv_flow_api.g_varchar2_table(3) := '96961010103E3E3E6B6B6B686868C7C7C74040405A5A5ACACACA797979565656AFAFAFA3A3A3F8F8F88787877A7A7A141414D8D8D8BCBCBCAEAEAEC2C2C2606060949494707070808080838383F1F1F16262628B8B8BDFDFDF727272C4C4C42E2E2EF6F6';
wwv_flow_api.g_varchar2_table(4) := 'F6FFFFFF0202022E2E2E00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000021F904';
wwv_flow_api.g_varchar2_table(5) := '01000062002C00000000160016000007FF8062828305453E015F5F012D5305838F831B210260950C5B956002295E9082043D6027130E61A661055A5F604A1E900430600324A7B5611246600B089151602B00B6B6005760070F825CB2C1C2C254604D6205';
wwv_flow_api.g_varchar2_table(6) := '022E10A70F08B52C590DA63828021E0A6039A7329509A637166013A71A6041346004A724AB60093BEC601CA74E230604E0612B023E2C950C30335502D1136111966452682B49A20BC2247CC864459801451F6C49605069043A5B5D02540063CDD40F9260';
wwv_flow_api.g_varchar2_table(7) := '0C74C007E214001303848011718A40C26006C15438E5004C1502026C7433A501C4C202095A86812200889823FD9A351BC744D08303601468AD85E0C4810C83882C0043616C181D5F2B1674805403EC05244B894A31F6C293181514287D298101C310139A';
wwv_flow_api.g_varchar2_table(8) := '66A0F52B0881088189020C0811C35320003B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 3552289830161627331 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'gritter-close-ie6.gif'
 ,p_mime_type => 'image/gif'
 ,p_file_charset => 'utf-8'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000025A000002120806000000145061EB0000001974455874536F6674776172650041646F626520496D616765526561647971C9653C0000183D4944415478DAECDD7B8C5D0581C7F133AF4E67987684694BB714';
wwv_flow_api.g_varchar2_table(2) := 'DA459E5254AC145808859414226E501A5C8998106ADA7F208A42220A289810374165FFD1440DB0A624B09180A96697260A5530F268BA509A4583427994472D954E3B9D5767F69CE9BDC36D295DD7DD9F4E3B9F4F723233771E4DCE1F27DFFEEE993B4DC5';
wwv_flow_api.g_varchar2_table(3) := '8135D58EE2BCF3CE6BEEEDED6DEAEFEF6F1A1818685AB972656B676767D377BFFBDDC1EAF353A74E1D9D366DDAE8238F3C3252FBDED1DAB15FA3A3A30500C0A1ACF50081D55C3B5A4E3CF1C4B6934E3AA9A37CDB598656EBE6CD9B475B5A5A0E6F6D6D6D';
wwv_flow_api.g_varchar2_table(4) := '29636BF382050B8A79F3E68D6EDAB46960E3C68DBBB66CD9325C7EDFEEF218A91DAA0A00105AB5C86AA98E993367B69D76DA699D175F7CF1AC534F3DF598F258DCDDDD7D6E5B5BDB99F52F5EB16245313C3CFC9FBDBDBD4FAE5FBF7EF5DB6FBFFDCC134F';
wwv_flow_api.g_varchar2_table(5) := '3CD13B3030305806D7502DB8768B2D0060B269DAE7E3FA8AD5367FFEFCF6D34F3F7DFA45175D74CCA73EF5A96BBBBABA2E6DFCC237DE7863A4BFBFBF5AB29A1B1FDFBE7DFB7D8B162DBAA1B3B373E0C5175FDCB96DDBB6EAA9C52AB8EAEBD6184F1D0200';
wwv_flow_api.g_varchar2_table(6) := '87BAE67DA2ABFA78CADCB9733BCE39E79C19575C71C587AFBCF2CA5555640D0D0D8D7EFFFBDF1FBAF0C20B77353535ED983D7B765F19637DD5FB6558F57DFBDBDF1E2AC36B74FAF4E9FFB461C386076EBFFDF6C5C71E7B6C77696AF5336B3FBBC9290700';
wwv_flow_api.g_varchar2_table(7) := '268BA686B7D5D3856D6528759C75D659472C5FBEFCD4CB2EBBECDE2A92D6AC59B37BC58A15FD9B366D3AE00C75D2492735AF5AB5AA7DE1C285D5CF2ACAEFBBE2F39FFFFC63AFBDF6DADBA5FE62CFB235F634A2450B0038D43537BCADE268CAFCF9F3BB97';
wwv_flow_api.g_varchar2_table(8) := '2C5972DCA5975E7A47F5F1DD77DF3DF4B18F7D6CD7FF145995E79E7B6EE48C33CED875DB6DB78DFD26E2D2A54B5795A175DA61871DD655EC59B55A0ACB1600308942ABFE9461DB8C19330E3BE79C738EFADCE73E77754B4BCB31D59255BE3FB07BF7EE3F';
wwv_flow_api.g_varchar2_table(9) := 'FB07565FFBD5AF7E75F07BDFFB5EB55E15575C71C5F59B376F9E56BEDB51FD1B420B00986CA1D5327DFAF4291FF8C007BA172D5A74FCE1871F7E715F5FDFC8F2E5CBFB1B23EB231FF948F3D9679FDDB2EF0F99356B5653F9B56D9D9D9DE38F7DE10B5F18';
wwv_flow_api.g_varchar2_table(10) := '28036BB8ABABEBACB56BD75E3677EEDC2AB6EAAB96D00200264568555A868787A71E79E4913D8B172F3EAF7AE0CE3BEFDCFDCA2BAF8C3F5DB860C182E675EBD6753EFAE8A31DB7DC72CB94FAE3C71E7B6CF3FAF5EB3B7FF8C31FB67FE73BDF69AF3F3E38';
wwv_flow_api.g_varchar2_table(11) := '3858945F375669A79C72CA79E5CFAA16ADEAF3AD420B00982CA155454F6B5B5BDBD49D3B777695B1F5A1EA13F7DC73CF70E317F6F6F68EEEDAB56BECFD9B6FBE794A155BC71F7F7CF3AF7EF5AB8E3973E68C85D3F6EDDBF7BA8FEBFEFBEF1FAE16B19E9E';
wwv_flow_api.g_varchar2_table(12) := '9EF3DE572A1F9A5A0BAD66A71E009834A13575EAD4CE32B68EE8E8E8F850195523BFF9CD6FF6BA31ABBA19FEB2CB2EDBD5185BEBD6AD1B8FAC071E7860F8CB5FFEF260E3F76CDDBA7574E3C68D638FAD5CB9F243D3A64D6B175A00C0A40AADAEAEAE9619';
wwv_flow_api.g_varchar2_table(13) := '336674CC9C397346F5E0EBAFBFBEDFDF30FCD9CF7EB6BB8AAD818181B18FCB701A8FACF2F1FEFDDD345F06DAD8DBF9F3E7CF1D1919A942CB3D5A00C0A409ADA20CA096A6A6A6B63294AAA7F68AA1A1A1F7FC86DFFFFEF7A33B76ECD82BC49E7DF6D991F7';
wwv_flow_api.g_varchar2_table(14) := 'FACDC4FAE35564EDDCB9B3A578E7251E00000EFDD0EAEBEB6B7AF3CD378BE79F7F7EEC79C1D9B367EFF78BAB17247DE491473A7A7A7A9A1A23EAA69B6E9AD278837CA33973E68CFDD99D175F7CB1B7A3A3C38DF000C0E40AADCAB66DDBAADF32EC1B1A1A';
wwv_flow_api.g_varchar2_table(15) := 'DA72C41147B4CC9D3B77AF20EAEEEE6EAA22EBC8238F1C7FBAF0939FFCE45EF76C5D7DF5D56D8DDFD3D2D252C5D9D81FAE7EE8A187360F0F0F3BE300C0A40BADEAA9C091CECECEE1975F7EF9B9EA8165CB96B5367EE1C9279FDCDC1859D53D59AB57AFDE';
wwv_flow_api.g_varchar2_table(16) := 'DD7883FCB9E79EBBD76B6C2D59B2A47A7DAED637DE78E3D9679E79E64F65C4EDAEFD5B00009326B4AA002A3B68A8FF273FF9C9EFAA076EB8E18696C61720AD7E0B71E5CA9503D75C73CD40E38DEFD50DF28B172FEEBBF5D65B07BFF8C52F0E34FEF01B6F';
wwv_flow_api.g_varchar2_table(17) := 'BC712CAA9E7CF2C917CB37D5E7866BFFD688530F001CEAC65EDAA13CBACB63567B7BFBDFCF9C3973C1E38F3F7EF99C39733E7CFBEDB70F5E7FFDF5837FC90FBEF2CA2B5BEFBAEBAEA93B76EC786DFEFCF9FFB275EBD6A7CB87AB5F41DC521E3B464747FB';
wwv_flow_api.g_varchar2_table(18) := '9D7E00E050562D5AD5EA542D4DD54AD5DBD7D7B7F56B5FFBDA13D527AFBBEEBA295530FD6F7F68F5677A7EF0831F8CDD1CFFA31FFDE8F132B2DE2CDFDD59FD1BB57FCBA205001CF2EAAF6935F6B20B2323236D838383535F79E59596C30E3B6CFBE9A79F';
wwv_flow_api.g_varchar2_table(19) := '7EF2273EF189D6D1D1D162EDDAB57FD65F96FEEC673FDBFAE31FFFB87DCA9429CDBFFEF5AF9F5CB66CD99AF2E157CAA38AADB76BB135F4F5AF7F5D6C01009322B49A6B474B1955ADFDFDFDAD8F3DF6D848195B7F5AB468D189E79F7F7ECBE5975F3EBA65';
wwv_flow_api.g_varchar2_table(20) := 'CB96E6175E7861647FAFB3B574E9D29655AB56355F73CD351DADADAD4D6564AD3FFBECB3FFBDFCD44BE5F17A796C2D8F1DC59E7BB57697A1E5A67800E090D654BC739F56F5AAED5DE551BD3AFC512D2D2DF3BABABA8E2D03EBE41B6FBCF1E4A38E3AEAF8';
wwv_flow_api.g_varchar2_table(21) := 'EA1B060606467EFBDBDF0E3FF5D45363A1F4C10F7EB038E18413C67EBBB0FAF8ADB7DEDA7CD75D77FDEEBAEBAE7BBCFCF00FC59EFBB25E2D8F3F3686561974162D00E0900FAD4A4B2DB6AA57869F5E8BADBF2B636B6E7B7BFBD17D7D7D47DD71C71D277C';
wwv_flow_api.g_varchar2_table(22) := 'FCE31F9FF1FEF7BFFFC4FDFDA0975E7AE90FBFF8C52FB6AE58B162E3D0D050F554E1CBC59EA70C5FAB45D6F6A2E11EADD1EAF948008049105AF5FBB4DA6AB135AD3C8E288F236BC7EC8E8E8E59BB76ED3AA2BBBBFB7D1FFDE847679E79E6998757DFB87E';
wwv_flow_api.g_varchar2_table(23) := 'FDFAB79F7EFAE93FBEFAEAABD553836F157BEEC5AA9E2A7CA376548FF5D622AB7ACE71ECB5B4741600305942AB31B6AADF16AC3F8D58BDEC4315543DB5F07A5FF5786B6B6B47F9B6B57AA5F7F2FDE19191915DE5513D2DF8A75A5855D1B5ADD873F37BFD';
wwv_flow_api.g_varchar2_table(24) := 'E9C2C17A64157B4ACBD907000E698D2FDD30F6EAF0B520AABF5F2D50D5CBBEF7D6E2A98AAFCE32B0DA6B515694EFEFAE85545F2DAA7A6BC7CEDAF70ED67ECE48E155E10180491A5A45430CD5436BB816515534550B551558536ADFD7DCF03DC3B5A01A68';
wwv_flow_api.g_varchar2_table(25) := '38066B8F0F8B2C004068EDD1B86C0DD5A26947F1CE4B40D47F5371DFEFA97FDF48C3FBA30D9F070098F4A155EC1348F5976168FA337FA6A80200384068558E2E8F8BCAE38CF298531EB3FE3FFFE1A6A626671F6854DDE759BDEEDE86F278B83C9EDCEFFF';
wwv_flow_api.g_varchar2_table(26) := 'E4DEFB1769A2D72C80BFE49AB5BFDAA97ECBF0EAF2F8C7E29DFBB000FEDAAA0BD76DC59EFB430F145AAE59C084BD66ED1B5AC795C71DE531DBF9022680EA82F5CDF2F8F97B84D65ED7AC071F7CB0B8F7DE7B8B75EBD615CF3FFFBCB307C4747777170B17';
wwv_flow_api.g_varchar2_table(27) := '2E2C2EBDF4D2E2D39FFE74D1D3D3B3DF6B5663685553FBBFD6FE77083091DC521EABF709ADF16BD62F7FF9CBE24B5FFA52F1D4534F3953C05FDD31C71C53DC79E79DC592254BDE75CDAACFECD5DB7F1659C004F595F238A1E1E3F16BD69A356B8AC58B17';
wwv_flow_api.g_varchar2_table(28) := '8B2CE06FE6A5975E2A2EB8E082E21BDFF8C6BBAE59F5D0AAEE6D38D9A90226A8EACF835DDDF0F1D835EBD9679F1D9BED0126829B6FBEB9B8FFFEFBF7BA66D543EB72A70798E0FEA1E13F8463D7ACBBEFBEBBD8B973A733034C18575D7555F1EAABAF8E5F';
wwv_flow_api.g_varchar2_table(29) := 'B3AAD0AA7E25FA38A70638089C5FBF66BDFCF2CBC5B7BEF52D67049850B66FDF5EFCFCE7E3F7C29F5F85D6294E0B709038A97ECDDAB06183B3014C480F3DF4D0F835AB0AAD1EA7043848CCAA5FB3DE7CF34D67039890366DDA347ECDAA42ABCD29010E22';
wwv_flow_api.g_varchar2_table(30) := '63D7AC818101670298F0BC8A327050F267BC00A105107280BF790820B400FE2F2C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(31) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(32) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(33) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(34) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(35) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(36) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(37) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(38) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(39) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(40) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(41) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(42) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(43) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(44) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(45) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(46) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(47) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(48) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(49) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(50) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(51) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(52) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(53) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(54) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(55) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(56) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(57) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(58) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(59) := '108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80108B1620B400422C5A80D00208B16801420B20C4A205082D80';
wwv_flow_api.g_varchar2_table(60) := '108B1620B400422C5A80D00208B16801420B20C4A2051C2CA1F5B0D3001C241EAD5FB32EBCF04267039890962F5F3E7ECDAA426B53793CEFB400078187EBD7AC79F3E615D75E7BAD33024C28EDEDEDC505175C307ECDAA3F75F86F4E0D30C13D5E1E1B1B';
wwv_flow_api.g_varchar2_table(61) := 'AF59575D75553165CA1467069830EEB9E79EE2E8A38F1EBF66D543EBC1F2F82FA70798A086CAE35F1A3E1EBB662D58B0A058BD7AB5B3034C0837DD7453B16CD9B2BDAE59F5D01A298FAF94C736A7099880BE591EBF6BF878FC9AB574E9D262EDDAB5C5C2';
wwv_flow_api.g_varchar2_table(62) := '850B9D25E06F62EEDCB9C59A356B8A5B6FBDF55DD7AC7D7F6DE7B8F2B8A33C663B6DC004B0A376C1FA8FFA03FBBCACC3F8356B6868A8F8E94F7F5ADC77DF7DC5134F3C51BCF0C20BCE1E10D3D9D9599C79E699C525975C527CE6339F297A7A7AF67BCDDA';
wwv_flow_api.g_varchar2_table(63) := 'DFEF471F5E1E5797C7254E23F037F470ED82B5B5F1C1FDBC7E966B163061AF59077A219AEA4EAE8BCAE38CDAFB3DCE211034501E7F288F0DE5B1B6D87323E9BB1CE0854A5DB3800977CDFA6F01060077AEF42CD62CA82D0000000049454E44AE426082';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 3552290623476630319 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'gritter-long.png'
 ,p_mime_type => 'image/png'
 ,p_file_charset => 'utf-8'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '89504E470D0A1A0A0000000D494844520000025A000001360806000000B9853C560000001974455874536F6674776172650041646F626520496D616765526561647971C9653C000012B24944415478DAECDD7D8C55F59DC7F13373E799815186A7C55158';
wwv_flow_api.g_varchar2_table(2) := 'EA03546C6BA98AAB111A0C986AA342D09ADAAC918DA4894DABB5896EC556D298FEA1AD4DAC7FA851D768A29B1A75699385A42AEA6A4509AB404A0D6DA13C28285299618679BC7B7EC3BDE305D1ADBBF9D68179BD9213980B3326E78F93B79F7BEEA12AFB';
wwv_flow_api.g_varchar2_table(3) := '6455A5239B3B776E757B7B7BD5810307AABABBBBAB962E5D5AD3D4D45475EFBDF7F6A43F6F6868288E1E3DBAF8FCF3CF0F94BEB7583A8EA8582C660000C7B29A4F08ACEAD25138EDB4D36AA74F9FDE98FFDA948756CDCE9D3B8B8542E1F89A9A9A421E5B';
wwv_flow_api.g_varchar2_table(4) := '3B67CE9C994D9932A5B875EBD6EE8D1B3776BDFBEEBB7DF9F7F5E7C740E9505500C08853F531AF15D2317EFCF8DA33CF3CB3E9E28B2F9E70C619679C941F735A5A5A2EA8ADAD9D5DF90D7D7D7DFFDDDEDEFEDABA75EB56FCF297BF7C73CD9A35EDDDDDDD';
wwv_flow_api.g_varchar2_table(5) := '3D7970F59682ABFFF0D8B2680100232DB4CA2B56EDD4A953EBCF3AEBAC31175D74D149575C71C50DCDCDCD0B2BFFE2AE5DBB060E1C389096ACEACAD7F7EDDBF7C4D9679F7D4B535353F7962D5BF6EFDDBB37BDB59882ABBC6E092D006044A83E2CBAD2D7';
wwv_flow_api.g_varchar2_table(6) := '756D6D6D8DE79F7FFEB8ABAFBEFA4BD75C73CDA329B27A7B7B8BF7DD775FEF82050BBAAAAAAA3A264D9AD499C75867FA7D1E569D3FFBD9CF7AF3F02A8E1933E6CAF5EBD73F75E79D77CE99366D5A4BAE21FDCCD2CFAE72CA018091A2AAE2D7F476616D1E';
wwv_flow_api.g_varchar2_table(7) := '4A8DE79E7BEED8254B969CB178F1E2C75324AD5AB5AAFFBAEBAE3BB075EBD64F9CA1A64F9F5EFDE8A38FD6CF9A352BFDAC2CFFBEABBFFBDDEFFED7DB6FBFFD41EE407670D91A7C1BD1A205001CEBAA2B7E4D71543775EAD49679F3E69DBC70E1C2BBD3D7';
wwv_flow_api.g_varchar2_table(8) := '0F3FFC70EFD7BEF6B5AEFF2DB2924D9B360D9C73CE395D77DC71C7E02711E7CF9FFF681E5A678E1A35AA393BB86A1532CB16003042941FDF903E7D583F6EDCB831575C71C5B49FFCE427371F7FFCF117A7252B45567F7FFFA7FEC1F7DE7B6FFDB7BFFDED';
wwv_flow_api.g_varchar2_table(9) := 'DA8E8E8E57468F1EFD2FF94BEFE747477E74E7477FB1581C70FA01806359795D2A8C1933A6EEF39FFF7CCBD9679F7D4A8AACCECECE81254B961CA88CAC2F7FF9CBD5E79D775EE1F01F3261C284AAFCEFD63635350DBDF6BDEF7DAF7BE7CE9D7DCDCDCDE7';
wwv_flow_api.g_varchar2_table(10) := 'AE5EBD7A715B5BDBE8ECC355CBA205008C88D04A0A7D7D7D0D13274E6C9D3367CEDCF4C2830F3ED8BF7DFBF6A1B70B67CE9C59BD76EDDAA6975E7AA9F1F6DB6FAF2BBF3E6DDAB4EA75EBD6353DF0C003F53FFFF9CFEBCBAFF7F4F464F9DF1BACB4D34F3F';
wwv_flow_api.g_varchar2_table(11) := '7D6EFEB31AF3DFA63FAF115A00C04809ADC1B70E6B6B6B1BF6EFDFDF9CC7D617D31F3CF6D8637D957FB1BDBDBDD8D5D535F8FBDB6EBBAD2EC5D629A79C52FDE28B2F364E9E3C79309CF6EDDB77C87D5C4F3EF9645F5AC45A5B5BE71E97CB5F6A288556B5';
wwv_flow_api.g_varchar2_table(12) := '530F008C98D06A686868CA636B6C6363E317F3A81AF8DDEF7E77C88D59E966F8C58B177755C6D6DAB56B8722EBA9A79EEABBF9E69B7B2ABF67CF9E3DC58D1B370EBEB674E9D22F8E1E3DBA5E680100232AB49A9B9B0BE3C68D6B1C3F7EFCB8F4E23BEFBC';
wwv_flow_api.g_varchar2_table(13) := '73C44F18FEE637BFE94FB1D5DDDD3DF8751E4E439195BF7EE04837CDE78136F8EBD4A953DB0606065268B9470B001831A195E50154A8AAAAAACD4329BDB597F5F6F67EEC37FCF18F7F2C7674741C12621B366C18F8B84F26965F4F91B57FFFFE42F6E123';
wwv_flow_api.g_varchar2_table(14) := '1E00008EFDD0EAECECACDABD7B77B679F3E6C1F705274D9A74C4BF9C1E48FAFCF3CF37B6B6B6565546D4B265CBEA2A6F90AF3479F2E4C1C7386CD9B2A5BDB1B1D18DF000C0C80AAD64EFDEBDE953869DBDBDBDEF8E1D3BB6D0D6D6764810B5B4B454A5C8';
wwv_flow_api.g_varchar2_table(15) := '9A3871E2D0DB85975F7EF921F76C5D7FFDF5B595DF532814529CA5B8CA56AE5CB9B3AFAFCF190700465C68A5B702079A9A9AFAB66DDBB629BDB068D1A29ACABF3863C68CEACAC84AF764AD58B1A2BFF206F90B2EB8E090676CCD9B372F3D9FAB66D7AE5D';
wwv_flow_api.g_varchar2_table(16) := '1BDE7CF3CDBFE611D75FFA6F01008C98D04A01947750EF81679E79E6ADF4C22DB7DC52A87C0069FA14E2D2A54BBBBFF39DEF7457DEF89E6E909F33674EE7F2E5CB7B6EBCF1C6EECA1F7EEBADB70E46D56BAFBDB6253BF844F8BED27FCB53E10180635EF9';
wwv_flow_api.g_varchar2_table(17) := '9FDF69C98F09F5F5F5FF387EFCF899AFBEFAEA5593274FFED29D77DED9F3831FFCA0E7FFF283AFB9E69A9A871E7AA8A1A3A3E3EDA953A7FE62CF9E3D6FE42FA78F20BE9B1F1DC562F180D30F001CCBD2A29556A7B434A595AABDB3B373CF8F7EF4A335E9';
wwv_flow_api.g_varchar2_table(18) := '0F6FBAE9A6BA144C9FF687A67FA6E7FEFBEF1FBC39FE91471E79358FACDDF96FF7A7FF46E9BF65D102008E79E5675A0D3E76616060A0B6A7A7A761FBF6ED8551A346ED3BEBACB3665C76D96535C562315BBD7AF5DFF42F4B7FEB5BDFAAF9D5AF7E555F57';
wwv_flow_api.g_varchar2_table(19) := '5757FDF2CB2FBFB668D1A255F9CBDBF323C5D607A5D8EAFDF18F7F2CB60080635AE53D5AE91EAA8EFEFEFE3DEFBDF7DEDB3FFCE10F7F7FCF3DF7FC47FAC3F4E8864D9B36D55E79E5953595F76D559A3F7F7EE195575E293CF2C8230DF5F5F529B2D69D77';
wwv_flow_api.g_varchar2_table(20) := 'DE792BF33F7A273FF6A69F9D7D789F961BE20180635E55F6E17D5AE9A9EDCDF9919E0E7F42A15098D2DCDC3CEDAAABAE9A71EBADB7CE38E184134E49DFD0DDDD3DF0873FFCA1EFF5D75F1F8CA52F7CE10BD9A9A79E3AF8E9C2F4F5FBEFBFBFF3A1871E7A';
wwv_flow_api.g_varchar2_table(21) := 'EBA69B6E7A35FFF24FD9C1FBB276E4C77B15B1D55F2C162D5A00C0311F5A49A1145BE9C9F0634AB1F50F796CB5D5D7D79FD8D9D979C2DD77DF7DEA25975C32EE739FFBDC6947FA417FF9CB5FFEF4ECB3CFEEB9EEBAEB36F6F6F6A6B70AB76507DF327CBB';
wwv_flow_api.g_varchar2_table(22) := '1459FBB28A7BB48AE9FD48008011105AE5FBB46A4BB1353A3FC6E6C7C4D231A9B1B171425757D7D8969696E3BEF295AF8C9F3D7BF6F1E91BD7AD5BF7C11B6FBCF1DE8E1D3BF6E45FBE9F1DBC172BBD5DB8AB74A4D7DA4B9195FE6D9FC16769E92C0060A4';
wwv_flow_api.g_varchar2_table(23) := '8456656CA54F0B96DF464C8F7D4841D55A0AAFE3D2EB3535358DF9AF35E949EFF9EFFB060606BAF223BD2DF8D75258A5E84AF765A59BDFCB6F17F694232B3B585ACE3E003062422BA92E1DB5A5E04A41352A3BB8708D2EC5575329C4CA4F812FDF48DF59';
wwv_flow_api.g_varchar2_table(24) := '8AAAF6D2911EE7D0550AACB4640D64158F75105A00C0480BADF26B29B66A4A4779E12A1F75A5D7CB9F584CF1D4570AAAEE8AA3A7F47AF9B959879495D0020046626855BE5E8EAEF2AFE5DF1FFE7DC5D2315011559571F591AA125A00C0480DADFFCFDFFD';
wwv_flow_api.g_varchar2_table(25) := '9B0A4A6801002339B44ECC8F8BF2E39CFC989C1F139C2E2050BACF333D776F7D7E3C971FAF7DCAFF4973CD0286DD35EB48A1953E65787D7E7C3DFBF03E2C80BFB774E1BA233BF809E64F0A2DD72C60D85EB30E0FAD93F3E3EEFC98E47C01C340BA60FD34';
wwv_flow_api.g_varchar2_table(26) := '3F7EFB31A175C835EBE9A79FCE1E7FFCF16CEDDAB5D9E6CD9B9D3D204C4B4B4B366BD6AC6CE1C285D937BEF18DACB5B5F588D7ACCAD04A53FBBF95FEEF106038B93D3F561C165A43D7AC175E7821FBFEF7BF9FBDFEFAEBCE14F07777D24927650F3EF860';
wwv_flow_api.g_varchar2_table(27) := '366FDEBC8F5CB3CAA1555DBA60CD70BA8061283D8BEF9FF3E3AD52680D5DB356AD5A952D58B0C019023E73CB972FCF962D5B76C835AB7C3FC3D74516308CA587285F5FF1F5E0356BC3860D83B33DC07070DB6DB7654F3EF9E421D7AC72685DE5F400C3DC';
wwv_flow_api.g_varchar2_table(28) := '3F55FC0FE1E035EBE1871FCEF6EFDFEFCC00C3C6B5D75E9BEDD8B163E89A95422B7D24FA64A706380A7CB57CCDDAB66D5B76D75D773923C0B0B26FDFBEECB7BF1DBA17FEAB29B44E775A80A3C4F4F2356BFDFAF5CE06302CAD5CB972E89A9542ABD52901';
wwv_flow_api.g_varchar2_table(29) := '8E1213CAD7ACDDBB773B1BC0B0B475EBD6A16B560AAD5AA704388A0C5EB3BABBBB9D0960D8F31465E0A8545555E52400420B20827F981E105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801';
wwv_flow_api.g_varchar2_table(30) := '420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B1';
wwv_flow_api.g_varchar2_table(31) := '6801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D406801';
wwv_flow_api.g_varchar2_table(32) := '04B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40';
wwv_flow_api.g_varchar2_table(33) := '680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D802016';
wwv_flow_api.g_varchar2_table(34) := '2D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D80';
wwv_flow_api.g_varchar2_table(35) := '20162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A20508';
wwv_flow_api.g_varchar2_table(36) := '2D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A2';
wwv_flow_api.g_varchar2_table(37) := '05082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510';
wwv_flow_api.g_varchar2_table(38) := 'C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A1';
wwv_flow_api.g_varchar2_table(39) := '0510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B4';
wwv_flow_api.g_varchar2_table(40) := '00A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B40082';
wwv_flow_api.g_varchar2_table(41) := '58B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4';
wwv_flow_api.g_varchar2_table(42) := '008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B16';
wwv_flow_api.g_varchar2_table(43) := '20B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D10284164010';
wwv_flow_api.g_varchar2_table(44) := '8B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D1028416';
wwv_flow_api.g_varchar2_table(45) := '40108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102841640108B1620B4008258B400A10510C4A205082D8020162D40680104B16801420B2088450B105A00412C5A80D0020862D102';
wwv_flow_api.g_varchar2_table(46) := '841640108B1670B484D6734E03709478A97CCD5AB06081B3010C4B4B962C19BA66A5D0DA9A1F9B9D16E028F05CF99A3565CA94EC861B6E70468061A5BEBE3EBBF0C20B87AE59E5B70EFFDDA90186B957F36363E535EBDA6BAFCDEAEAEA9C1960D878ECB1';
wwv_flow_api.g_varchar2_table(47) := 'C7B2134F3C71E89A550EADA7F3E3F74E0F304CF5E6C72F2ABE1EBC66CD9C39335BB16285B3030C0BCB962DCB162D5A74C835AB1C5A03F9F1AFF9B1D7690286A19FE6C75B155F0F5DB3E6CF9F9FAD5EBD3A9B356B96B3047C26DADADAB255AB5665CB972F';
wwv_flow_api.g_varchar2_table(48) := 'FFC835EBF08FED9C9C1F77E7C724A70D18063A4A17ACFF2CBF70D8631D86AE59BDBDBDD9AF7FFDEBEC89279EC8D6AC5993FDF9CF7F76F680304D4D4DD9ECD9B3B34B2FBD34FBE637BF99B5B6B61EF19A75A4CF471F9F1FD7E7C7A54E23F0197AAE74C1DA';
wwv_flow_api.g_varchar2_table(49) := '53F9E2119E9FE59A050CDB6BD6273D8826DDC975517E9C53FA7DAB730804EACE8F3FE5C7FAFC589D1DBC91F4233EE141A5AE59C0B0BB66FD8F000300CED29779978A694F0000000049454E44AE426082';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 3552291420241631900 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 3552284700010521381 + wwv_flow_api.g_id_offset
 ,p_file_name => 'gritter.png'
 ,p_mime_type => 'image/png'
 ,p_file_charset => 'utf-8'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin 
execute immediate 'begin dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
prompt  ...done
