/*
 * Notification Plug-in v1.0 - http://www.oracleapex.info/
 * 
 * Based on jQuery Gritter http://boedesign.com/blog/2009/07/11/growl-for-jquery-gritter/
 *
 * Dual licensed under the MIT and GPL licenses:
 *   http://www.opensource.org/licenses/mit-license.php
 *   http://www.gnu.org/licenses/gpl.html
*/

function com_oracle_apex_gritter_notification() {

  function replacePlaceholders(pText) {
    // replace all #page_item_name# placeholders
    var lSearchPattern = new RegExp("#\\w+#", "g"),
        lFoundList,
        lPageItem,
        lFinalText = pText;
    // search as long as the text contains a placeholder
    while (lFoundList = lSearchPattern.exec(pText)) {
      // get value, but search without the #
      lPageItem = $x(lFoundList[0].replace(/#/g, ""));
      if (lPageItem) {
        lFinalText = lFinalText.replace(lFoundList[0], $v(lPageItem));
      }
    }
    return lFinalText;
  }; // replacePlaceholders
  
  // It's better to have named variables instead of using
  // the generic ones, makes the code more readable
  var lTitle        = this.action.attribute01,
      lText         = this.action.attribute02,
      lImageUrl     = this.action.attribute03,
      lIsSticky     = ((this.action.attribute04==="Y")?true:false),
      lHideAfterSec = this.action.attribute05;

  // Add the notification
  apex.jQuery.gritter.add({
    title:  replacePlaceholders(lTitle),
    text:   replacePlaceholders(lText),
    image:  lImageUrl,
    sticky: lIsSticky,
    time:   lHideAfterSec*1000
    });
}